Subject: Re: [PATCH net-next v3 2/2] KEYS: annotate struct user_key_payload with __counted_by

From: Jarkko Sakkinen <[email-masked]>
Date: Sun, 10 May 2026 17:12:05 +0300

On Sun, May 10, 2026 at 12:47:24PM +0200, Thorsten Blum wrote:
> On Sat, May 09, 2026 at 02:24:01PM +0300, Jarkko Sakkinen wrote:
> > On Mon, Apr 27, 2026 at 01:44:24PM +0200, Thorsten Blum wrote:
> > > Add the __counted_by() compiler attribute to the flexible array member
> > > 'data' to improve bounds checking via CONFIG_UBSAN_BOUNDS and
> > > CONFIG_FORTIFY_SOURCE.
> > > 
> > > Signed-off-by: Thorsten Blum <[email-masked]>
> > 
> > This is again a crippled commit message.
> > 
> > I.e. this requires either knowing, remembering and/or cross-referencing
> > "bunch of" unrelated to keyring.
> 
> I kept the commit message short because it follows the same pattern as
> many other __counted_by() patches that have been accepted across several
> subsystems.
> 
> I'm not sure which part of the message you want expanded. Could you be
> more specific?

"Describe your problem. Whether your patch is a one-line bug fix or 5000
lines of a new feature, there must be an underlying problem that
motivated you to do this work. Convince the reviewer that there is a
problem worth fixing and that it makes sense for them to read past the
first paragraph."

This is a direct quote from https://docs.kernel.org/process/submitting-patches.html#describe-your-changes

> Thanks,
> Thorsten

BR, Jarkko